<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JR4.10 - Flexbox Exercise 1</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<style>
.flex-container {
  display: flex;
  justify-content:center;
  background-color: DodgerBlue;
  color: aliceblue;
}

.flex-container > div {
  /* background-color: #f1f1f1; */
  /* width: 100px; */
  margin: 5px;
  text-align: center;
  /* line-height: 75px; */
  /* font-size: 30px; */
}

.flex-container > a {
  /* background-color: #f1f1f1; */
  /* width: 100px; */
  margin-left:100px;
  margin-right: 100px;
  margin-top: 5px;
  text-align: center;
  /* line-height: 75px; */
   font-size: 30px; 
}
</style>

<body>
    <h1>The justify-content Property</h1>

    <p>The "justify-content: center;" aligns the flex items at the center of the container:</p>
    
    <div class="flex-container">
      <div class="col-2">
            <button class="btn btn-success">Home</button>
      </div>
      <div class="col-2">
            <button class="btn btn-success">About Us</button>
      </div>
      <div class="col-2">
        <button class="btn btn-success">Our Products</button>
      </div>
      <div class="col-2">
        <button class="btn btn-success">Contact us</button>
      </div>
        
    </div>
    <br><br>
   
        <nav class="flex-container">
            <ul class="flex-container">
              <a class="btn btn-dark" href="/">Home</a>
              <a class="btn btn-dark" href="/about">About Us</a>
             <a class="btn btn-dark" href="/products">Our Products</a>
             <a class="btn btn-dark" href="/contact">Contact Us</a>
            </ul>
        </nav>
          
          
    
      
</body>
</html>